%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_version: %define python_version %(%{__python} -c "import sys; print sys.version[0:3]")}

Name:           puritan
Version:        0.4
Release:        4%{?dist}
Summary:        OLPC disk image compiler

Group:          Development/Tools
License:        MIT
URL:            http://wiki.laptop.org/go/Puritan
Source0:        http://dev.laptop.org/~mstone/releases/SOURCES/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       mock
Requires:       git-core
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Puritan is a minimal tool for constructing OLPC disk images from sources
including RPM repositories and build-stream descriptions.


%prep
%setup -q -n %{name}-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
install -D -m 755 bin/puritan $RPM_BUILD_ROOT/%{_bindir}/puritan


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%dir %{python_sitelib}/puritan
%{python_sitelib}/puritan/*
%dir %{python_sitelib}/puritan-%{version}-py%{python_version}.egg-info
%{python_sitelib}/puritan-%{version}-py%{python_version}.egg-info/*
%{_bindir}/puritan


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4-3
- Rebuild for Python 2.6

* Tue Jul 29 2008 Robin Norwood <rnorwood@redhat.com> - 0.4-2.fc9
- Initial version for Fedora package review, based on M. Stone's spec file.

* Fri May 23 2008 Michael Stone <michael@laptop.org> - 0.4-1.olpc2
- Pipe verbosity and subcommand options to compilations.
- Teach the compilations to download packages and to record package-sets.

* Mon Apr 11 2008 Michael Stone <michael@laptop.org> - 0.3-1.olpc2
- Improve the error-reporting on Fedora.

* Mon Mar 03 2008 Michael Stone <michael@laptop.org> - 0.2-1.olpc2
- Use mock to construct a controlled build environment.

* Sat Jan 12 2008 Michael Stone <michael@laptop.org> - 0.1-1.olpc2
- Initial release of this spec.
